Bug 87907 - New port: deskutils/pypanel A small panel/taskbar written in Python and C.
Summary: New port: deskutils/pypanel A small panel/taskbar written in Python and C.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jean-Yves Lefort
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-10-24 09:00 UTC by Florian Unglaub
Modified: 2005-10-29 18:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Unglaub 2005-10-24 09:00:33 UTC
New port: deskutils/pypanel A small panel/taskbar written in Python and C.
	
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	pypanel
#	pypanel/Makefile
#	pypanel/pkg-plist
#	pypanel/pkg-descr
#	pypanel/distinfo
#	pypanel/patches
#	pypanel/patches/patch-setup.py
#
echo c - pypanel
mkdir -p pypanel > /dev/null 2>&1
echo x - pypanel/Makefile
sed 's/^X//' >pypanel/Makefile << 'END-of-pypanel/Makefile'
X# New ports collection makefile for:  pypanel
X# Date created:        24 October 2005
X# Whom:                Florian Unglaub
X#
X# $FreeBSD$
X
XPORTNAME=      PyPanel
XPORTVERSION=   2.4
XCATEGORIES=    deskutils
XMASTER_SITES=  ${MASTER_SITE_SOURCEFORGE_EXTENDED}
XMASTER_SITE_SUBDIR=pypanel
X
XMAINTAINER=    u0@rootofallevil.net
XCOMMENT=  Desktop panel written in python
X
XLIB_DEPENDS=    Imlib2.3:${PORTSDIR}/graphics/imlib2
XBUILD_DEPENDS=  ${PYTHON_SITELIBDIR}/Xlib/X.py:${PORTSDIR}/x11-toolkits/py-xlib
X
XUSE_PYTHON= yes
XUSE_PYDISTUTILS= yes
XPATCHDIR= patches
X
X.include <bsd.port.mk>
END-of-pypanel/Makefile
echo x - pypanel/pkg-plist
sed 's/^X//' >pypanel/pkg-plist << 'END-of-pypanel/pkg-plist'
Xbin/pypanel
Xlib/python2.4/site-packages/pypanel/COPYING
Xlib/python2.4/site-packages/pypanel/README
Xlib/python2.4/site-packages/pypanel/ppicon.png
Xlib/python2.4/site-packages/pypanel/pypanelrc
Xlib/python2.4/site-packages/ppmodule.so
X@dirrm lib/python2.4/site-packages/pypanel
END-of-pypanel/pkg-plist
echo x - pypanel/pkg-descr
sed 's/^X//' >pypanel/pkg-descr << 'END-of-pypanel/pkg-descr'
XPyPanel is panel/taskbar written in Python and C for X11 window managers 
Xand works with EWMH compliant WMs (Openbox, PekWM, FVWM, etc.).
XPyPanel is distributed under the GNU General Public License v2. 
X
XAuthor: Jon Gelo
XWWW: http://pypanel.sourceforge.net
END-of-pypanel/pkg-descr
echo x - pypanel/distinfo
sed 's/^X//' >pypanel/distinfo << 'END-of-pypanel/distinfo'
XMD5 (PyPanel-2.4.tar.gz) = f1f9a2ed80be72ab36e748833618daba
XSIZE PyPanel-2.4.tar.gz) = 29857
END-of-pypanel/distinfo
echo c - pypanel/patches
mkdir -p pypanel/patches > /dev/null 2>&1
echo x - pypanel/patches/patch-setup.py
sed 's/^X//' >pypanel/patches/patch-setup.py << 'END-of-pypanel/patches/patch-setup.py'
X*** setup.py.orig	Thu Jun 23 03:48:49 2005
X--- setup.py	Mon Oct 24 09:10:37 2005
X***************
X*** 4,8 ****
X  
X  # Full paths to imlib2-config and freetype-config, adjust as needed -
X! configs = ["/usr/bin/freetype-config", "/usr/bin/imlib2-config"]
X  
X  # Adjust or add any additional include directories here -
X--- 4,8 ----
X  
X  # Full paths to imlib2-config and freetype-config, adjust as needed -
X! configs = ["/usr/local/bin/freetype-config", "/usr/local/bin/imlib2-config"]
X  
X  # Adjust or add any additional include directories here -
X***************
X*** 16,20 ****
X  
X  # Full path to libImlib2 shared library
X! imlib2  = "/usr/lib/libImlib2.so.1"
X  
X  #------------------------------------------------------------------------------
X--- 16,20 ----
X  
X  # Full path to libImlib2 shared library
X! imlib2  = "/usr/local/lib/libImlib2.so"
X  
X  #------------------------------------------------------------------------------
END-of-pypanel/patches/patch-setup.py
exit
Comment 1 Jean-Yves Lefort freebsd_committer 2005-10-29 17:19:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jylefort

Take.
Comment 2 Jean-Yves Lefort freebsd_committer 2005-10-29 18:19:02 UTC
State Changed
From-To: open->closed

Committed with a few modifications, thanks!